## thepeg 1.8.0

=== debian/changelog ===
thepeg (1.8.0-3build1) artful; urgency=medium

  * No-change rebuild for libgsl soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Aug 2017 00:16:38 +0000

thepeg (1.8.0-3) unstable; urgency=medium

  * Team upload.
  * d/rules: deal with thepeg-reference0s files only when doing a binary-indep
    build.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 09 Mar 2017 01:11:58 +0100

thepeg (1.8.0-2) unstable; urgency=medium

  * Team upload

  [ Lifeng Sun ]
  * Use dh_lintian instead of manually installing the lintian overrides.
  * debian/rules
    + Semplify by using the dh(1) sequencer.
  * debian/control:
    + Add time to Build-Depends.
    + Add graphviz to Build-Depends-Indep.
  * Don't link against LHAPDF on hurd-i386, mips and mipsel. ThePEG requires
    more than 2GB to load libLHAPDF.so to generate ThePEGDefaults.rpo, but
    Debian buildds of these architectures doesn't have enough RAM.
  * Remove lhapdf-tests.patch: lhapdf-pdfsets-minimal now ships PDF sets
    required by the test-suites.

  [ Mattia Rizzolo ]
  * Run `wrap-and-sort -ast`.
  * Bump debheleper compat level to 10.
  * d/control:
    + Add Build-Depend on lhapdf-pdfsets-minimal.
    + Use HTTPS in Vcs-{Git,Browser}.
    + Bump Standards-Version to 3.9.8.
    + Apply suggestions from the multi-arch hinter
      - libthepeg-dev → m-a:same
      - thepeg-reference → m-a:foreign
  * d/rules: fix lintian's useless-autogenerated-doxygen-file.
  * d/copyright:
    + Update the URL of the specification.
    + Use GPL-2+ instead of GPL-2.0 as license identifier.
    + Add myself to the copyright holders of debian/*.
  * Add patch from Maria Valentina Marin to make the build reproducible.
    Closes: #790035

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 09 Mar 2017 00:17:21 +0100

thepeg (1.8.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Bas Couwenberg ]
  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    Closes: #807237

  [ Mattia Rizzolo ]
  * debian/control: drop obsolete DM-Upload-Allowed field.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 26 Jan 2016 12:02:35 +0000

thepeg (1.8.0-1) unstable; urgency=low

  * Initial release (Closes: #636986)

 -- Lifeng Sun <lifongsun@gmail.com>  Mon, 04 Jun 2012 11:11:51 +0800
