=== debian/control ===
Source: thepeg
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Lifeng Sun <lifongsun@gmail.com>,
Build-Depends:
 chrpath,
 debhelper (>= 10),
 default-jdk,
 lhapdf-pdfsets-minimal,
 libgsl-dev,
 libhepmc-dev,
 liblhapdf-dev,
 libreadline-dev,
 librivet-dev,
 time,
 zlib1g-dev,
Build-Depends-Indep:
 doxygen-latex,
 graphviz,
Standards-Version: 3.9.8
Homepage: http://projects.hepforge.org/thepeg/
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/thepeg.git
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/thepeg.git

Package: thepeg
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Toolkit for High Energy Physics Event Generation
 ThePEG is a general toolkit for implementing physics models of event
 generation in high energy particle collisions. It defines a general
 structure of event generation in terms of abstract base classes for e.g.
 hard partonic matrix elements, parton showers and the decay of unstable
 particles. Different models are then implemented by creating classes which
 inherits from these base classes and implements sets of pre-defined virtual
 functions.
 .
 This package provides program files of ThePEG.

Package: thepeg-gui
Architecture: all
Depends:
 default-jre-headless | default-jre,
 thepeg (>= ${binary:Version}),
 ${misc:Depends},
Description: Java GUI of ThePEG
 ThePEG is a general toolkit for implementing physics models of event
 generation in high energy particle collisions. It defines a general
 structure of event generation in terms of abstract base classes for e.g.
 hard partonic matrix elements, parton showers and the decay of unstable
 particles. Different models are then implemented by creating classes which
 inherits from these base classes and implements sets of pre-defined virtual
 functions.
 .
 This package provides Java GUI of ThePEG.

Package: libthepeg15
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Run-time library of ThePEG
 ThePEG is a general toolkit for implementing physics models of event
 generation in high energy particle collisions. It defines a general
 structure of event generation in terms of abstract base classes for e.g.
 hard partonic matrix elements, parton showers and the decay of unstable
 particles. Different models are then implemented by creating classes which
 inherits from these base classes and implements sets of pre-defined virtual
 functions.
 .
 This package provides run-time library of ThePEG.

Package: libthepeg-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libthepeg15 (= ${binary:Version}),
 ${misc:Depends},
Description: Development library of ThePEG
 ThePEG is a general toolkit for implementing physics models of event
 generation in high energy particle collisions. It defines a general
 structure of event generation in terms of abstract base classes for e.g.
 hard partonic matrix elements, parton showers and the decay of unstable
 particles. Different models are then implemented by creating classes which
 inherits from these base classes and implements sets of pre-defined virtual
 functions.
 .
 This package provides development library of ThePEG.

Package: thepeg-reference
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Code reference of ThePEG
 ThePEG is a general toolkit for implementing physics models of event
 generation in high energy particle collisions. It defines a general
 structure of event generation in terms of abstract base classes for e.g.
 hard partonic matrix elements, parton showers and the decay of unstable
 particles. Different models are then implemented by creating classes which
 inherits from these base classes and implements sets of pre-defined virtual
 functions.
 .
 This package provides code reference of ThePEG generated by Doxygen.
